Show / Hide Table of Contents

# Interface ICallGateProvider<T1, T2, TRet>

###### Namespace: Dalamud.Plugin.Ipc

###### Assembly: Dalamud.dll

##### Syntax

    public interface ICallGateProvider<T1, T2, TRet>

##### Type Parameters

Name | Description
--- | ---
T1 |
T2 |
TRet |

### Methods

| Improve this Doc View Source

#### RegisterAction(Action<T1, T2>)

##### Declaration

    void RegisterAction(Action<T1, T2> action)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<T1, T2> | action |

| Improve this Doc View Source

#### RegisterFunc(Func<T1, T2, TRet>)

##### Declaration

    void RegisterFunc(Func<T1, T2, TRet> func)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Func<T1, T2, TRet> | func |

| Improve this Doc View Source

#### SendMessage(T1, T2)

##### Declaration

    void SendMessage(T1 arg1, T2 arg2)

##### Parameters

Type | Name | Description
--- | --- | ---
T1 | arg1 |
T2 | arg2 |

| Improve this Doc View Source

#### UnregisterAction()

##### Declaration

    void UnregisterAction()

| Improve this Doc View Source

#### UnregisterFunc()

##### Declaration

    void UnregisterFunc()